Update Branding Footer Image
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/branding/footer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form image='@example-file'const form = new FormData();
form.append('image', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.loyalty.dog/v2/templates/{templateId}/branding/footer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/branding/footer"
files = { "image": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, files=files, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pass Templates > Branding
Update Branding Footer Image
Update Branding Footer Image
Update the branding footer image for a pass template.
Parameters:
image(UploadFile): The image file to upload.template(Template): The pass template.
Returns:
dict: The updated branding settings of the pass template.
PUT
/
v2
/
templates
/
{templateId}
/
branding
/
footer
Update Branding Footer Image
curl --request PUT \
--url https://api.loyalty.dog/v2/templates/{templateId}/branding/footer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form image='@example-file'const form = new FormData();
form.append('image', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.loyalty.dog/v2/templates/{templateId}/branding/footer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/templates/{templateId}/branding/footer"
files = { "image": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, files=files, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
multipart/form-data
Response
Successful Response
